## gtk2-engines 2.20.2

=== debian/changelog ===
gtk2-engines (1:2.20.2-8) unstable; urgency=medium

  * Team upload
  * Update rule to drop dependency on gtk2 with the new t64 package name

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 27 Feb 2025 13:30:09 -0500

gtk2-engines (1:2.20.2-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/salsa-ci.yml: Add

  [ Jeremy Bícha ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Stop using gnome-pkg-tools
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 12:04:44 -0500

gtk2-engines (1:2.20.2-6) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * d/gbp.conf: Set packaging branch to debian/latest

  [ Simon McVittie ]
  * d/patches: Refresh patches and fill in metadata
  * d/control: Stop generating from a template
  * d/control: Update VCS fields to point to salsa.debian.org
  * d/control: Adjust package descriptions to reflect their legacy status
  * d/control: Change section to oldlibs
  * d/control, d/rules: Use recommended debhelper compat level 13
    - Stop overriding dh_missing to use --fail-missing, it is the default
  * d/control: Use recommended dpkg build API v1
  * d/control: Remove Josselin Mouette from Uploaders, with thanks for
    their previous work (Closes: #930193)
  * d/upstream/metadata: Add.
    This package has not been maintained upstream for a long time,
    but it might still be helpful to point to the archived Gitlab project.

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Jan 2025 12:13:53 +0000

gtk2-engines (1:2.20.2-5) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Dec 2017 21:58:19 -0500

gtk2-engines (1:2.20.2-4) unstable; urgency=medium

  * Switch from cdbs to dh
  * Bump debhelper compat to 10
  * Add debian/docs to install NEWS and README
  * Install .pc file (Closes: #484367)
  * Don't depend on GTK+ 2 to allow these theme engines to be installed
    without requiring GTK+ 2 to be installed.
  * debian/control.in:
    - Add Vcs fields
    - Update Maintainer
    - Drop ancient Breaks against gnome-themes-extras (<< 2)
  * debian/rules:
    - Enable all hardening flags
    - Don't fail the build for failing tests
    - Use dh_missing --fail-missing
  * Update debian/watch to only watch for gtk2 versions
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 01 Dec 2017 21:18:39 -0500

gtk2-engines (1:2.20.2-3) unstable; urgency=low

  * Fix FTBS due to automake bug (Closes: #713353)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 15 Nov 2013 09:35:40 +0100

gtk2-engines (1:2.20.2-2) unstable; urgency=low

  * debian/patches/02_glib-single-include.patch: Fix build failure with
    glib 2.32 where including individual glib headers is no longer allowed.
    Closes: #665545
  * Remove obsolete Conflicts/Replaces/Provides.

 -- Michael Biebl <biebl@debian.org>  Sun, 25 Mar 2012 23:51:08 +0200

gtk2-engines (1:2.20.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to tar.bz2 tarball and 3.0 quilt source format.
  * Remove autoreconf patches.
  * Use dh-autoreconf.
  * Install engines to the multiarch directory.
  * Make the package Multi-Arch: same.
  * Drop lua engine.
  * 01_lua5.1.patch: dropped, useless.
  * 01_libm.patch: new patch. Correctly link engines to libm.

 -- Josselin Mouette <joss@debian.org>  Sun, 13 Nov 2011 18:42:27 +0100

gtk2-engines (1:2.20.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 17 Apr 2010 17:18:23 +0200

gtk2-engines (1:2.20.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/patches/02_system-lua.patch:
      - Dropped, merged upstream.
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Mar 2010 10:15:08 +0200

gtk2-engines (1:2.19.0-2) experimental; urgency=low

  [ Cyril Brulebois ]
  * Switch udeb from DirectFB to Xlib to prepare the move to an X11-based
    graphical installer:
     - Get rid of libgtk-directfb-2.0-dev in Build-Depends.
     - Bump the Build-Depends on libgtk2.0-dev to ensure the new udeb gets
       a dependency on libgtk-x11-udeb.
     - Tweak comments and paths in debian/rules.

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Remove hack that was needed to build the udeb against the DirectFB
      GTK+ library, since the default one was the X11. We build against
      the X11 one now.
  * debian/watch:
    - Don't uupdate.
  * debian/rules:
    - Pass --no-act to dh_makeshlibs, and not -n, to avoid getting unwanted
      shlibs files.
  * debian/rules,
    debian/control.in:
    - No need for chrpath anymore with recent libtool.
  * debian/control.in:
    - Standards-Version is 3.8.4, no changes needed.
  * debian/patches/02_system-lua.patch:
    - Add header.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 16 Mar 2010 22:20:11 +0100

gtk2-engines (1:2.19.0-1) experimental; urgency=low

  * New upstream development release.
  * debian/patches/01_lua5.1.patch,
    debian/patches/02_system-lua.patch,
    debian/patches/99_autoreconf.patch,
    debian/control.in,
    debian/rules:
    + Build the normal deb with an external lua (5.1) and disable
      lua for the udeb.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 16 Jan 2010 13:51:46 +0100

gtk2-engines (1:2.18.5-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 04 Jan 2010 11:00:56 +0100

gtk2-engines (1:2.18.4-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Updated Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 25 Sep 2009 07:09:32 +0200

gtk2-engines (1:2.18.2-1) unstable; urgency=low

  * New upstream bugfix release.


