=== debian/control ===
Source: gtk2-engines
Section: oldlibs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               dpkg-build-api (= 1),
               libgtk2.0-dev (>= 2.19.7-2),
               libxml-parser-perl,
               intltool
Vcs-Git: https://salsa.debian.org/gnome-team/gtk2-engines.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gtk2-engines

Package: gtk2-engines
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: theme engines for GTK 2.x
 This package contains the "engines" that hide behind the themes for
 legacy GTK 2 applications. They redefine the way GTK widgets are
 drawn. The package includes the following engines:
 .
  * Clearlooks, formerly the default GNOME theme, based on Bluecurve;
  * Crux, formerly known as the Eazel engine;
  * High contrast, which is used by some accessibility themes;
  * Industrial, an engine from Novell (formerly Ximian);
  * LighthouseBlue, another engine based on Bluecurve;
  * Metal, which gives a metallic look;
  * Mist, a flat and high performance engine;
  * Redmond95, which provides a look similar to that of Windows 95;
  * ThinIce.
 .
 A few sample themes using these engines are also included.

Package: gtk2-engines-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: theme engines for GTK 2.x in the Debian installer
 This package contains the "engines" that hide behind the themes for
 legacy GTK 2 applications. They redefine the way GTK widgets are
 drawn. The package currently includes the following engine:
 .
  * Clearlooks, formerly the default GNOME theme, based on Bluecurve
 .
 This package only holds the minimal set of files for Debian installer
 to use GTK 2 theme engines.
