=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-Bsymbolic

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --enable-animation --disable-lua

override_dh_auto_test:
	-dh_auto_test

execute_before_dh_install:
	find debian/tmp -name '*.la' -print -delete

# don't run dh_makeshlibs (we don't need shlibs for Gtk modules)
override_dh_makeshlibs:
	dh_makeshlibs --no-act

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibgtk2.0-0t64
