=== debian/watch ===
version=4
https://download.gnome.org/sources/gtk-engines/(2.[2-8][02468])/ \
	gtk-engines@ANY_VERSION@@ARCHIVE_EXT@
